## ros-indigo-aubo-trajectory 0.3.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(aubo_trajectory)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS aubo_msgs std_msgs sensor_msgs control_msgs actionlib_msgs actionlib moveit_core moveit_ros_planning moveit_ros_planning_interface pluginlib cmake_modules)


find_package(Boost REQUIRED system filesystem date_time thread)


catkin_package(
  CATKIN_DEPENDS
    aubo_msgs 
    std_msgs
    sensor_msgs
    control_msgs
    actionlib
    moveit_core
    moveit_ros_planning_interface
    interactive_markers

)
find_package(Eigen REQUIRED)

###########
## Build ##
###########


include_directories(SYSTEM ${Boost_INCLUDE_DIR} ${EIGEN_INCLUDE_DIRS})
include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})


add_subdirectory(trajectory_client)
add_subdirectory(trajectory_gen)
add_subdirectory(trajectory_goal)

=== trajectory_client/CMakeLists.txt ===

ADD_EXECUTABLE(trajectory_client trajectory_client.cpp)
TARGET_LINK_LIBRARIES(trajectory_client ${catkin_LIBRARIES})

=== trajectory_gen/CMakeLists.txt ===
add_executable(trajectory_gen src/trajectory_gen.cpp)
target_link_libraries(trajectory_gen ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS trajectory_gen DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== trajectory_goal/CMakeLists.txt ===

ADD_EXECUTABLE(trajectory_goal trajectory_goal.cpp)
TARGET_LINK_LIBRARIES(trajectory_goal ${catkin_LIBRARIES})

=== debian/changelog ===
ros-indigo-aubo-trajectory (0.3.15-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- liuxin <liuxin@our-robotics.com>  Fri, 31 Mar 2017 07:03:07 -0000

ros-indigo-aubo-trajectory (0.3.0-0trusty) trusty; urgency=high

  * new version:add aubo_panel,aubo_new_driver
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Mon, 14 Nov 2016 16:00:00 -0000

ros-indigo-aubo-trajectory (0.2.2-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Wed, 26 Oct 2016 16:00:00 -0000

ros-indigo-aubo-trajectory (0.2.1-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Mon, 10 Oct 2016 16:00:00 -0000

ros-indigo-aubo-trajectory (0.2.0-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Mon, 10 Oct 2016 16:00:00 -0000

ros-indigo-aubo-trajectory (0.1.2-0trusty) trusty; urgency=high

  * fixed a lib path bug
  * Update package.xml
    add aubo_msgs to build_depend
  * Update CMakeLists.txt
    add aubo_msgs to find_package
  * Contributors: JerryLiu, robot

 -- liuxin <liuxin@our-robotics.com>  Thu, 29 Sep 2016 16:00:00 -0000

ros-indigo-aubo-trajectory (0.1.1-0trusty) trusty; urgency=high

  * update CHANGELOG.rst
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Mon, 19 Sep 2016 16:00:00 -0000

ros-indigo-aubo-trajectory (0.1.0-0trusty) trusty; urgency=high

  * add CHANGELOG.rst
  * update version 0.0.1
  * update README
  * Aubo robotics ROS version 1.0
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Sun, 18 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-aubo-trajectory
Section: misc
Priority: extra
Maintainer: liuxin <liuxin@our-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-aubo-msgs, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-control-msgs, ros-indigo-interactive-markers, ros-indigo-moveit-core, ros-indigo-moveit-ros-perception, ros-indigo-moveit-ros-planning-interface, ros-indigo-pluginlib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/aubo_trajectory
Standards-Version: 3.9.2

Package: ros-indigo-aubo-trajectory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-aubo-msgs, ros-indigo-control-msgs, ros-indigo-interactive-markers, ros-indigo-moveit-core, ros-indigo-moveit-fake-controller-manager, ros-indigo-moveit-ros-perception, ros-indigo-moveit-ros-planning-interface, ros-indigo-pluginlib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: The aubo_trajectory package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-aubo-trajectory//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
